package org.dromara.ygpassport.domain.dto;

import io.github.linpeilie.annotations.AutoMapper;
import lombok.Data;
import org.dromara.ygpassport.domain.bo.ResearchBo;
import org.dromara.ygpassport.domain.vo.ResearchVo;

import java.io.Serial;
import java.util.Date;

@Data
@AutoMapper(target = ResearchBo.class, reverseConvertGenerate = false)
public class WxResearchDto {
    @Serial
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private Long id;

    /**
     * 学生学号
     */
    private String stuNo;

    /**
     * 学期
     */
    private Long semester;

    /**
     * 科研名称
     */
    private String researchName;

    /**
     * 科研名称编号
     */
    private String researchNo;

    /**
     * 是否为第一/第二作者
     */
    private Integer isOnetow;

    /**
     * 出版日期
     */
    private Date publishDate;

    /**
     * 附件
     */
    private String researchFilePath;

    public WxResearchDto() {
    }

    public WxResearchDto(ResearchVo researchVo) {
        this.id = researchVo.getId();
        this.stuNo = researchVo.getStuNo();
        this.semester = researchVo.getSemester();
        this.researchName = researchVo.getResearchName();
        this.researchNo = researchVo.getResearchNo();
        this.isOnetow = researchVo.getIsOnetow();
        this.publishDate = researchVo.getPublishDate();
        this.researchFilePath = researchVo.getResearchFilePath();
    }
}
